before_script:
  - chmod +x mvnw

build:
  stage: build
  image: openjdk:8-jdk-slim
  script:
    - ./mvnw -B install -DskipTests

unit:
  stage: test
  image: openjdk:8-jdk-slim
  script:
    - ./mvnw -B test

e2e tests:
  stage: test
  image: openjdk:8-jdk-slim
  script:
    - ./mvnw -B test -Dtests.tags="e2e"